require("catppuccin").setup({
    flavour = "frappe",
    styles = {
        comments = { "italic" },
        conditionals = { "italic" },
        loops = {},
        functions = { "bold" },
        keywords = { "bold" },
        strings = {},
        variables = {},
        numbers = {},
        booleans = {},
        properties = {},
        types = {},
        operators = {},
    },
    integrations = {
        cmp = true,
        gitsigns = true,
        harpoon = true,
        indent_blankline = {
            enabled = true,
        },
        markdown = true,
        mason = true,
        mini = {
            enabled = true
        },
        dap = {
            enabled = true,
        },
        native_lsp = {
            enabled = true,
            virtual_text = {
                errors = { "italic" },
                hints = { "italic" },
                warnings = { "italic" },
                information = { "italic" },
            },
            underlines = {
                errors = { "undercurl" },
                hints = { "undercurl" },
                warnings = { "undercurl" },
                information = { "undercurl" },
            },
        },
        notify = true,
        telescope = {
            enabled = true,
        },
        treesitter = true,
        which_key = true,
        fidget = true,
    },
})

vim.cmd.colorscheme 'catppuccin'
